[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc

[Fond1]
Meter=Shape
MeterStyle=SFT2
Shape=Rectangle 0,0,(204*#SCALE#),(135*#SCALE#),5 | Extend Plus

[D2]
AutoScale=1
NumOfDecimals=2

[MCPU]
Measure=CPU

[MCPUMHz]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=CpuSpeed
UpdateDivider=5
CoreTempIndex=0
OnChangeAction=[!UpdateMeasure SpeedCalc][!UpdateMeter CPUSpeed]

[SpeedRegistry]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=~MHz
UpdateDivider=-1

[SpeedCalc]
Measure=Calc
Formula=round(100*[MCPUMHz]/[SpeedRegistry])
DynamicVariables=1
MinValue=0
MaxValue=100
UpdateDivider=-1

[MBusMult]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=BusMultiplier
UpdateDivider=5
CoreTempIndex=0
OnChangeAction=[!UpdateMeter Mult]

[MBusSpeed]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=BusSpeed
UpdateDivider=5
CoreTempIndex=0
OnChangeAction=[!UpdateMeter Mult]

[MCPUName]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=ProcessorNameString
UpdateDivider=-1

[MCPUIdentifier]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=Identifier
UpdateDivider=-1

[MCPUVendor]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=VendorIdentifier
Substitute="GenuineIntel":"Intel","GenuineAmd":"AMD","AuthenticAMD":"AMD"
UpdateDivider=-1

[Cpu1Temp]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=Temperature
CoreTempIndex=0
MinValue=0
MaxValue=100
UpdateDivider=5
OnChangeAction=[!UpdateMeter Temp][!UpdateMeter Bar4]

[CpuTemp2]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=MaxTemperature
UpdateDivider=5
OnChangeAction=[!UpdateMeter Temp]

[MVoltage]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=VID
CoreTempIndex=0
UpdateDivider=5
OnChangeAction=[!UpdateMeter Voltage]

[Title]
Meter=STRING
MeterStyle=Style1
Text=CPU (%NUMBER_OF_PROCESSORS% Cores)

[CPUVenT]
Meter=STRING
MeterStyle=Style4
MeasureName=MCPUVendor
MeasureName2=MCPUName
MeasureName3=MCPUIdentifier
Text=%1
Tooltiptext=%2#CRLF#%3#CRLF#

[UseT]
Meter=STRING
MeterStyle=Style3
Text=#u#

[CPUValue]
Meter=STRING
MeterStyle=Style4
MeasureName=MCPU
Text=%1%
NumOfDecimals=2
UpdateDivider=1

[Temt]
Meter=STRING
MeterStyle=Style3
Y=(50*#SCALE#)
Text=#TEMPE#

[Temp]
MeasureName=Cpu1Temp
MeasureName2=CpuTemp2
Meter=STRING
MeterStyle=Style4
Text=%1C / %2C
ToolTipTitle=#TEMPE#
Tooltiptext=#TEMPE# / Max #TEMPE# (all cores)
NumOfDecimals=0

[SPCT]
Meter=STRING
MeterStyle=Style3
Y=(75*#SCALE#)
Text=#T35P1#

[CPUSpeed]
Meter=STRING
MeterStyle=Style4
MeasureName=MCPUMHz
MeasureName2=SpeedRegistry
Text=%1Mhz / %2Mhz
ToolTipTitle=#T35P1#
Tooltiptext=#T35P1# / Max #T35P1#

[Multt]
Meter=STRING
MeterStyle=Style3
Y=(95*#SCALE#)
Text=BUS

[Mult]
Meter=String
MeasureName=MBusMult
MeasureName2=MBusSpeed
MeterStyle=Style4
Text=%2Mhz (X%1)
TooltipText=#BUSP# & #Mulr# 

[TVol]
Meter=STRING
MeterStyle=Style3
Text=Voltage
Y=(115*#SCALE#)

[Voltage]
Meter=STRING
MeterStyle=Style4
MeasureName=MVoltage
Text=%1v

[Bar2]
Meter=Shape
MeterStyle=BA
Shape=Rectangle (7*#SCALE#),(46*#SCALE#),((190*#SCALE#)*([MCPU]/100)),(2*#SCALE#),5 | Extend Plus
UpdateDivider=1

[Bar4]
Meter=Shape
MeterStyle=BA
Shape=Rectangle (7*#SCALE#),(66*#SCALE#),((190*#SCALE#)*([Cpu1Temp]/100)),(2*#SCALE#),5 | Extend Plus
